Stophy

Playlist

Retrieve items from a YouTube playlist. Use continuationToken to page through long playlists.

Retrieve items from a YouTube playlist. Use continuationToken to page through long playlists.

Authorization

bearerAuth
AuthorizationBearer <token>

API key from your dashboard. Prefix with Bearer in the Authorization header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

POST
/v1/playlist
curl -X POST "https://example.com/v1/playlist" \  -H "Content-Type: application/json" \  -d '{    "playlistUrl": "https://www.youtube.com/playlist?list=PLWKjhJtqVAbnupwRFOq9zGOWjdvPRtCmO"  }'
{  "success": true,  "requestId": "string",  "cacheState": "hit | miss",  "creditsUsed": "number",  "creditsRemaining": "number",  "data": {    "playlist": {      "id": "string",      "playlistUrl": "string",      "title": "string",      "author": "string",      "authorId": "string",      "description": "string | null",      "videoCount": "string",      "thumbnails": [        {          "url": "string",          "width": "number",          "height": "number"        }      ]    },    "items": [      {        "id": "string",        "videoUrl": "string",        "title": "string",        "author": "string",        "authorId": "string",        "duration": "string",        "durationSec": "number",        "durationText": "string",        "index": "number",        "isLive": "boolean",        "isPlayable": "boolean",        "isUpcoming": "boolean",        "upcomingAt": "string | null",        "viewCount": "number",        "viewCountText": "string",        "publishedAt": "string",        "publishedAtText": "string",        "thumbnails": [          {            "url": "string",            "width": "number",            "height": "number"          }        ]      }    ],    "continuationToken": "string | null"  }}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}